Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasypt.salt
Class StringFixedSaltGenerator

    Object
      org.jasypt.salt.StringFixedSaltGenerator

All Implemented Interfaces:
  FixedSaltGenerator, SaltGenerator

    public class StringFixedSaltGenerator

extends Object
implements FixedSaltGenerator

String based implementation of `FixedSaltGenerator`, that will always return the same salt. This salt is returned as bytes using the specified charset for conversion (UTF-8 by default).

If the requested salt has a size in bytes smaller than the specified salt, the first n bytes are returned. If it is larger, an exception is thrown.

This class is thread-safe.

Since:
  1.9.2
Author:
  Daniel Fernández

Constructor Summary
`StringFixedSaltGenerator(String salt)` Creates a new instance of `FixedStringSaltGenerator` using the default charset.
`StringFixedSaltGenerator(String salt, String charset)` Creates a new instance of `FixedStringSaltGenerator`

Method Summary
`byte[]` | `generateSalt(int lengthBytes)` Return salt with the specified byte length.
`boolean` | `includePlainSaltInEncryptionResults()` As this salt generator provides a fixed salt, its inclusion unencrypted in encryption results is not necessary, and in fact not desirable (so that it remains hidden).

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringFixedSaltGenerator

    public StringFixedSaltGenerator(String salt)

  Creates a new instance of `FixedStringSaltGenerator` using the default charset.

  Parameters:
    `salt` - the specified salt.

### StringFixedSaltGenerator

    public StringFixedSaltGenerator(String salt,
                                    String charset)

  Creates a new instance of `FixedStringSaltGenerator`

  Parameters:
    `salt` - the specified salt.
    `charset` - the specified charset

Method Detail

### generateSalt

    public byte[] generateSalt(int lengthBytes)

  Return salt with the specified byte length.

  Specified by:
    `generateSalt` in interface `SaltGenerator`
  Parameters:
    `lengthBytes` - length in bytes.
  Returns:
    the generated salt.

### includePlainSaltInEncryptionResults

    public boolean includePlainSaltInEncryptionResults()

  As this salt generator provides a fixed salt, its inclusion unencrypted in encryption results is not necessary, and in fact not desirable (so that it remains hidden).

  Specified by:
    `includePlainSaltInEncryptionResults` in interface `SaltGenerator`
  Returns:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 The JASYPT team. All Rights Reserved.